unit uPluginUnidadesMedida;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCUnidadesMedida = interface(IInterface)
    ['{386EDE31-46C9-4EA1-9F1D-423739372E1F}']
  end;

  TPluginUnidadesMedida = class(TModuleController, IMCUnidadesMedida)
    actUnidadesMedida: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    UnidadesMedida1: TMenuItem;
    procedure actUnidadesMedidaExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uUnidadesMedidaController, uBizUnidadesMedida, uUnidadesMedidaViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginUnidadesMedida.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginUnidadesMedida.actUnidadesMedidaExecute(Sender: TObject);
var
  AUnidadesMedidaController : IUnidadesMedidaController;
  AUnidadesMedida : IBizUnidadMedida;
begin
  AUnidadesMedidaController := TUnidadesMedidaController.Create;
  AUnidadesMedida := (AUnidadesMedidaController.BuscarTodos as IBizUnidadMedida);
  AUnidadesMedidaController.VerTodos(AUnidadesMedida);
end;

constructor TPluginUnidadesMedida.Create(AOwner: TComponent);
begin
  inherited;
  uUnidadesMedidaViewRegister.RegisterViews;
end;

destructor TPluginUnidadesMedida.Destroy;
begin
  uUnidadesMedidaViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginUnidadesMedida);

finalization
  UnRegisterModuleClass(TPluginUnidadesMedida);

end.
